Subject: bug#25777: 25.1; [PATCH] `rectangle--pos-cols' should not move point

From: Drew Adams <[email-masked]>
Date: Thu, 2 Mar 2017 22:29:48 -0800 (PST)

> > Here is a possible doc string for the renamed `rectangle-pos-cols':
> 
> Yeah, the doc string is the tricky part.
> 
> >
> > "Return cons (START-COLUMN . END-COLUMN) of columns delimiting a
> rectangle.
> 
> I think the first line is too long.

"Return cons (START-COLUMN . END-COLUMN) of rectangle columns."

> > START and END are buffer positions of the rectangle corners.
> >
> > Optional argument WINDOW is the window displaying the rectangle.
> > It defaults to the selected window."
> >
> > I'm not sure it is accurate, but I think so.  (I'm no expert on this.)
> 
> And looking at the function body again, I think it's checking some other
> things, and seems to have some side effects with respect to the current
> rectangle.

No, I don't think so.  What did you have in mind?  It can
reset window parameter `rectangle--point-crutches' or variable
`rectangle--mark-crutches', but I don't think those actions are
worth mentioning.  Do you?  Or did you have something else in
mind?  What side effects do you think it has on the current
rectangle?

Feel free to propose something different or let me know what
you think needs to be said.  I'll try to help with the wording,
if needed.